Summary: Companion library for PCManFM
Name: libfm-qt
Version: 1.3.0
Release: 1%{?dist}
License: GPLv2+
URL: https://lxqt-project.org
Source0: https://github.com/lxqt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make, lxqt-build-tools >= 0.12.0
BuildRequires: pkgconfig(Qt5Help), pkgconfig(Qt5X11Extras)
BuildRequires: qt5-qtbase-private-devel, pkgconfig(x11)
BuildRequires: pkgconfig(xcb), pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0), pkgconfig(gio-unix-2.0)
BuildRequires: libfm-devel, pkgconfig(lxqt) >= 1.2.0
BuildRequires: kf5-kwindowsystem-devel, pkgconfig(libmenu-cache) >= 0.3.0
BuildRequires: libexif-devel, menu-cache-devel
Provides: libfm-qt5 = %{version}

%description
Libfm-Qt is a companion library providing components to build
desktop file managers.

%package devel
Summary: Development files for libfm-qt
Requires: libfm-qt = %{version}-%{release}
Requires: menu-cache-devel
Provides: libfm-qt5-devel = %{version}

%description devel
libfm-qt-devel package contains libraries and header files for
developing applications that use libfm-qt.

%package l10n
BuildArch:      noarch
Summary:        Translations for libfm-qt
Requires:       libfm-qt
%description l10n
This package provides translations for the libfm-qt package.

%prep
%setup -q

%build
%{cmake_lxqt} -DPULL_TRANSLATIONS=NO ..

%make_build -C %{_vpath_builddir}

%install
make install/fast DESTDIR=%{buildroot} -C %{_vpath_builddir}

find %{buildroot} -size 0 -delete

sed -i "s/Requires:.*/Requires: Qt5Widgets Qt5X11Extras/" %{buildroot}/%{_libdir}/pkgconfig/libfm-qt.pc

%find_lang libfm-qt --with-qt


%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_libdir}/libfm-qt.so.13
%{_libdir}/libfm-qt.so.13.0.0
%{_datadir}/libfm-qt

%files devel
%{_libdir}/libfm-qt.so
%{_libdir}/pkgconfig/libfm-qt.pc
%{_includedir}/libfm-qt/
%dir %{_datadir}/cmake/fm-qt
%{_datadir}/cmake/fm-qt/*
%{_datadir}/libfm-qt/archivers.list
%{_datadir}/libfm-qt/terminals.list
%{_datadir}/mime/packages/libfm-qt-mimetypes.xml

%files l10n -f libfm-qt.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/libfm-qt/translations

%changelog
* Thu Dec 28 2023 Chair <chairou@tencent.com> - 1.3.0-1
- Init
